=== debian/changelog ===
libtheora (1.2.0~alpha1+dfsg-5) unstable; urgency=medium

  * Team upload
  * debian/clean: Clean documentation (Closes: #1048962)
  * debian/tests: Skip valgrind test on armhf due to spurious errors.
    valgrind fails with a hardened build of libtheora but it is impossible to
    reproduce the issue with other tools.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 16 Jan 2025 23:39:37 +0100

libtheora (1.2.0~alpha1+dfsg-4) unstable; urgency=medium

  * Team upload
  * debian/rules: Also disable NEON optimizations on armhf to fix runtime
    crashes

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 15 Jan 2025 19:15:30 +0100

libtheora (1.2.0~alpha1+dfsg-3) unstable; urgency=medium

  * Team upload
  * Disable NEON optimizations on armel

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 14 Jan 2025 23:17:08 +0100

libtheora (1.2.0~alpha1+dfsg-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 14 Jan 2025 08:26:58 +0100

libtheora (1.2.0~alpha1+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream version 1.2.0~alpha1+dfsg
  * debin/: Split off libraries with differing SOVERSION
  * debian/patches: Update patches for 1.2.0~alpha1
  * debian/watch: Specify repacksuffix
  * debian/copyright: Extend with missing copyright information
  * debian/libtheore-doc.docs: Update for changed paths

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 29 Dec 2024 17:49:20 +0100

libtheora (1.1.1+dfsg.1-17) unstable; urgency=medium

  * Team upload
  * Acknowledge NMU (Closes: #1024649)
  * debian/control:
    - Bump Standards-Version
    - Set RRR: no
    - Use pkgconf
  * debian/: Break build cycle with libsdl1.2 (Closes: #1077536)
  * debian/patches: Fix underlinking of libtheoraenc (Closes: #923940)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 11 Aug 2024 13:29:24 +0200
