=== debian/control ===
Source: libtheora
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Petter Reinholdtsen <pere@debian.org>,
 Martin Steghöfer <martin@steghoefer.eu>,
 Ralph Giles <giles@thaumas.net>,
Build-Depends:
 debhelper-compat (= 13),
 doxygen,
 libcairo2-dev,
 libogg-dev,
 libpng-dev,
 libsdl1.2-dev <!pkg.libtheora.nosdl>,
 libvorbis-dev,
 pkgconf,
Build-Depends-Indep:
 ghostscript,
 texlive-latex-base,
 texlive-latex-extra,
 texlive-latex-recommended,
 transfig,
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/multimedia-team/libtheora.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libtheora
Homepage: https://www.theora.org/
Rules-Requires-Root: no

Package: libtheora-bin
Architecture: any
Build-Profiles: <!pkg.libtheora.nosdl>
Section: utils
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Theora Video Compression Codec (example encoder, decoder)
 Theora is a fully open, non-proprietary, patent-and-royalty-free,
 general-purpose compressed video format.
 .
 This package contains a reference implementation of an encoder and a
 decoder.

Package: libtheora-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libogg-dev,
 libtheora0 (= ${binary:Version}),
 libtheoradec1 (= ${binary:Version}),
 libtheoraenc1 (= ${binary:Version}),
 ${misc:Depends},
Description: Theora Video Compression Codec (development files)
 Theora is a fully open, non-proprietary, patent-and-royalty-free,
 general-purpose compressed video format.
 .
 This package contains the header files needed to develop applications
 with libtheora.

Package: libtheora-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
Suggests:
 libtheora-dev,
Description: Theora Video Compression Codec (documentation)
 Theora is a fully open, non-proprietary, patent-and-royalty-free,
 general-purpose compressed video format.
 .
 This package contains the documentation about the format and programming.

Package: libtheora0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libtheoradec1 (= ${binary:Version}),
 libtheoraenc1 (= ${binary:Version}),
Description: Theora Video Compression Codec (shared library - libtheora)
 Theora is an open video codec being developed by the Xiph.org Foundation as
 part of their Ogg project. Theora is originally derived from On2's VP3 codec,
 and has improved on it significantly with the merging of code from the
 Thusnelda branch.
 .
 This package contains the shared library libtheora.

Package: libtheoraenc1
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libtheora0 (<< 1.2.0~alpha1+dfsg-1),
Replaces:
 libtheora0 (<< 1.2.0~alpha1+dfsg-1),
Description: Theora Video Compression Codec (shared library - libtheoraenc)
 Theora is an open video codec being developed by the Xiph.org Foundation as
 part of their Ogg project. Theora is originally derived from On2's VP3 codec,
 and has improved on it significantly with the merging of code from the
 Thusnelda branch.
 .
 This package contains the shared library libtheoraenc.

Package: libtheoradec1
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libtheora0 (<< 1.2.0~alpha1+dfsg-1),
Replaces:
 libtheora0 (<< 1.2.0~alpha1+dfsg-1),
Description: Theora Video Compression Codec (shared library - libtheoradec)
 Theora is an open video codec being developed by the Xiph.org Foundation as
 part of their Ogg project. Theora is originally derived from On2's VP3 codec,
 and has improved on it significantly with the merging of code from the
 Thusnelda branch.
 .
 This package contains the shared library libtheoradec.
