## libtheora 1.2.0%2Bdfsg

=== debian/changelog ===
libtheora (1.2.0+dfsg-6) unstable; urgency=medium

  * Team upload
  * debian/control: Drop left-over Depends+Breaks+Replaces (Closes: #1113790)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 06 Sep 2025 15:52:30 +0200

libtheora (1.2.0+dfsg-5) unstable; urgency=medium

  * Upload to unstable.
  * Dropped old FSF address from d/copyright.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 30 Aug 2025 21:20:01 +0200

libtheora (1.2.0+dfsg-4) experimental; urgency=medium

  * Team upload.

  * Added 0002-arm-missing-files.patch for files needed on armhf.
  * Reintroduce --disable-asm for armel, as 1.2.0 assembly do not
    work there.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 02 Apr 2025 18:18:20 +0200

libtheora (1.2.0+dfsg-3) experimental; urgency=medium

  * Team upload.

  * Stop disabling use of asm on arm as it should be working in 1.2.0.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 02 Apr 2025 16:23:29 +0200

libtheora (1.2.0+dfsg-2) experimental; urgency=medium

  * Team upload.

  * Source only upload after NEW processing.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 29 Mar 2025 21:08:16 +0100

libtheora (1.2.0+dfsg-1) experimental; urgency=medium

  * Team upload.

  * New upstream version 1.2.0.
   - SONAME change for libtheora0->libtheora1,
     libtheoradec1->libtheoradec2 and libtheoraenc1->libtheoraenc2 due
     to changes in constness for string arguments of some public
     method arguments.
   - README now i markdown format.
   - Include encoding wrapper script (Closes: #516343).
   - Fixes performance issue when enabling telemetry (Closes: #972943).
   - Dropped 0002-player-example-needs-lm-for-rint.patch,
     0003-latex.patch, 0004-libpng16.patch,
     0005-drop-inter-library-dep.patch and 0006-CVE-2024-56431.patch
     now included upstream.
  * Dropped autopkgtest dependency valgrind on armel and riscv64.
  * Updated Standards-Version from 4.7.0 to 4.7.2.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 29 Mar 2025 10:15:44 +0100

libtheora (1.2.0~alpha1+dfsg-6) unstable; urgency=medium

  * Team upload.

  * Added 0005-drop-inter-library-dep.patch from upstream to avoid
    unwanted library dependency (Closes: #923940).
  * Added 0006-CVE-2024-56431.patch fixing crash on bad input
    (Closes: #1091633).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 16 Mar 2025 04:59:38 +0100
