=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # Enable Telemetry debugging information (LP: #627854), see
 # <URL: https://people.xiph.org/~xiphmont/demo/theora/demo2.html >
 CONFIGURE_FLAGS = --enable-telemetry
-ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf))
+ifneq (,$(filter $(DEB_HOST_ARCH), armel))
 CONFIGURE_FLAGS += --disable-asm
 endif
