=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  texlive-latex-extra,
  texlive-latex-recommended,
  transfig,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/libtheora.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libtheora
 Homepage: https://www.theora.org/
@@ -48,9 +48,9 @@
 Section: libdevel
 Depends:
  libogg-dev,
- libtheora0 (= ${binary:Version}),
- libtheoradec1 (= ${binary:Version}),
- libtheoraenc1 (= ${binary:Version}),
+ libtheora1 (= ${binary:Version}),
+ libtheoradec2 (= ${binary:Version}),
+ libtheoraenc2 (= ${binary:Version}),
  ${misc:Depends},
 Description: Theora Video Compression Codec (development files)
  Theora is a fully open, non-proprietary, patent-and-royalty-free,
@@ -73,14 +73,12 @@
  .
  This package contains the documentation about the format and programming.
 
-Package: libtheora0
+Package: libtheora1
 Architecture: any
 Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- libtheoradec1 (= ${binary:Version}),
- libtheoraenc1 (= ${binary:Version}),
 Description: Theora Video Compression Codec (shared library - libtheora)
  Theora is an open video codec being developed by the Xiph.org Foundation as
  part of their Ogg project. Theora is originally derived from On2's VP3 codec,
@@ -89,16 +87,12 @@
  .
  This package contains the shared library libtheora.
 
-Package: libtheoraenc1
+Package: libtheoraenc2
 Architecture: any
 Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks:
- libtheora0 (<< 1.2.0~alpha1+dfsg-1),
-Replaces:
- libtheora0 (<< 1.2.0~alpha1+dfsg-1),
 Description: Theora Video Compression Codec (shared library - libtheoraenc)
  Theora is an open video codec being developed by the Xiph.org Foundation as
  part of their Ogg project. Theora is originally derived from On2's VP3 codec,
@@ -107,16 +101,12 @@
  .
  This package contains the shared library libtheoraenc.
 
-Package: libtheoradec1
+Package: libtheoradec2
 Architecture: any
 Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks:
- libtheora0 (<< 1.2.0~alpha1+dfsg-1),
-Replaces:
- libtheora0 (<< 1.2.0~alpha1+dfsg-1),
 Description: Theora Video Compression Codec (shared library - libtheoradec)
  Theora is an open video codec being developed by the Xiph.org Foundation as
  part of their Ogg project. Theora is originally derived from On2's VP3 codec,
