=== debian/tests/control ===
Tests: test-simple-build-link test-binaries
Depends:
 build-essential,
 debconf,
 libvorbis-dev,
 valgrind  [!armel !riscv64],
 @,
Restrictions: allow-stderr
