=== debian/watch ===
version=3
opts="uversionmangle=s/([0-9])(alpha|beta)/$1~$2/,dversionmangle=s/\+dfsg\d+$//,repacksuffix=+dfsg" \
https://downloads.xiph.org/releases/theora/libtheora-([0-9].*)\.tar\.gz debian uupdate
